//
//  QSLLoading.swift
//  QuickSearchLocation
//
//  Created by Destiny on 2024/12/10.
//

import ProgressHUD

class QSLLoading {
    
    static func show() {
        ProgressHUD.animate(nil, .circleStrokeSpin, interaction: false)
    }
    
    static func hide() {
        ProgressHUD.dismiss()
    }
    
    static func success(text: String) {
        ProgressHUD.succeed(text, interaction: false, delay: 3)
    }
    
    static func error(text: String) {
        ProgressHUD.error(text, interaction: false, delay: 3)
    }
}
